/*!	
	@file
	@brief	モデルデータなど、すでに送ってあるクラスが使う頂点配列
*/

#ifndef CVertexModel_h
#define CVertexModel_h

#include"../Setup/CompileMode.h"
#include"../Auxiliary/mstring.h"

#include"CCustomVertexTemplate.h"
#include"CVertex.h"

namespace Maid
{
	class CVertexModel : public CVertex
	{
	public:
		CVertexModel(){}
		CVertexModel( const mstring& id )
			:ID(id){}

		virtual mstring GetID()const { return ID; }
		
		mstring	ID;
	};
}

#endif